Index: database/factories/FolderFactory.php
===================================================================
--- database/factories/FolderFactory.php	(revision e0d3f947938d1be27857c793dacd8fd8c8a42405)
+++ database/factories/FolderFactory.php	(revision 0df7a930d3f128a451a433cc4ee9218e13624091)
@@ -27,9 +27,8 @@
     public function definition()
     {
-        $array = [5, 15, 25, 35, 45, 55, 65, 75, 85, 95, 105, 115, 125, 135, 145];
-
-        $deptId = Arr::random($array);
+        $deptId = 1;
 
         $deptCode = Department::find($deptId)->code;
+
         $name = $this->faker->unique()->firstName();
 
Index: database/seeders/PermissionsTableSeeder.php
===================================================================
--- database/seeders/PermissionsTableSeeder.php	(revision e0d3f947938d1be27857c793dacd8fd8c8a42405)
+++ database/seeders/PermissionsTableSeeder.php	(revision 0df7a930d3f128a451a433cc4ee9218e13624091)
@@ -17,5 +17,5 @@
     {
         \DB::table('permissions')->insert([
-            ["id" => "1", "name" => "create_user"], 				// Create new user
+            ["id" => "1", "name" => "view_all_users"], 			    // Create new user
             ["id" => "2", "name" => "manage_all_users"], 		    // Access all users to manage
             ["id" => "3", "name" => "manage_all_departments"], 	    // Access all departments to manage
@@ -27,6 +27,10 @@
             ["id" => "9", "name" => "delete_all_folders"], 	        // Delete all folder/s
             ["id" => "10", "name" => "delete_folder"], 	            // Delete your folder/s
-            ["id" => "11", "name" => "manage_all_files"], 	        // Access all files
-            ["id" => "12", "name" => "manage_file_types"], 	        // Access file types
+            ["id" => "11", "name" => "view_all_files"], 	        // View all files
+            ["id" => "12", "name" => "manage_all_files"], 	        // Access all files
+            ["id" => "13", "name" => "manage_file_types"], 	        // Access file types
+            ["id" => "14", "name" => "edit_user_data"], 	        // Access file types
+            ["id" => "15", "name" => "export_data"], 	            // Access file types
+            ["id" => "16", "name" => "validation_data"] 	        // Access file types
         ]);
     }
Index: database/seeders/RolesPermissionsTableSeeder.php
===================================================================
--- database/seeders/RolesPermissionsTableSeeder.php	(revision e0d3f947938d1be27857c793dacd8fd8c8a42405)
+++ database/seeders/RolesPermissionsTableSeeder.php	(revision 0df7a930d3f128a451a433cc4ee9218e13624091)
@@ -28,6 +28,10 @@
             ["role_id" => 1, "permission_id" => 11],
             ["role_id" => 1, "permission_id" => 12],
+            ["role_id" => 1, "permission_id" => 13],
+            ["role_id" => 1, "permission_id" => 14],
+            ["role_id" => 1, "permission_id" => 15],
 
-            // Referent
+                // Referent
+            ["role_id" => 2, "permission_id" => 1],
             ["role_id" => 2, "permission_id" => 3],
             ["role_id" => 2, "permission_id" => 4],
@@ -39,8 +43,12 @@
             ["role_id" => 2, "permission_id" => 10],
             ["role_id" => 2, "permission_id" => 11],
+            ["role_id" => 2, "permission_id" => 13],
+            ["role_id" => 2, "permission_id" => 14],
+            ["role_id" => 2, "permission_id" => 15],
 
             // Viewer
             ["role_id" => 3, "permission_id" => 5],
             ["role_id" => 3, "permission_id" => 6],
+            ["role_id" => 3, "permission_id" => 11],
         ]);
     }
Index: database/seeders/UsersTableSeeder.php
===================================================================
--- database/seeders/UsersTableSeeder.php	(revision e0d3f947938d1be27857c793dacd8fd8c8a42405)
+++ database/seeders/UsersTableSeeder.php	(revision 0df7a930d3f128a451a433cc4ee9218e13624091)
@@ -20,5 +20,5 @@
             "name" => "Berat",
             "surname" => "Kjufliju",
-            "username" => "beratk",
+            "username" => "admin",
             "password" => bcrypt("123456"),
             "email" => "kufliju@gmail.com",
@@ -31,4 +31,34 @@
         ]);
 
+        \DB::table("users")->insert([
+            "id" => "2",
+            "name" => "Berat",
+            "surname" => "Kjufliju",
+            "username" => "referent",
+            "password" => bcrypt("123456"),
+            "email" => "mail@host.com",
+            "phone_number" => "+38971201236",
+            "role_id" => 2,
+            "is_active" => true,
+            "is_confirmed" => true,
+            "created_by" => "1",
+            "created_at" => now()
+        ]);
+
+        \DB::table("users")->insert([
+            "id" => "3",
+            "name" => "Berat",
+            "surname" => "Kjufliju",
+            "username" => "viewer",
+            "password" => bcrypt("123456"),
+            "email" => "test@test.com",
+            "phone_number" => "+38971201235",
+            "role_id" => 3,
+            "is_active" => true,
+            "is_confirmed" => true,
+            "created_by" => "1",
+            "created_at" => now()
+        ]);
+
         User::factory()->count(50)->create();
 
